/////////////////////////////////////////////////////////////////////////////////////////
// Module Name: DiagMEGA.h
// Project: PowerMonitor #42
// Definitions for Diagnostic Outputs.
// by Jan Breemer 
// jan@breem.nl, janbee@hack42.nl
/////////////////////////////////////////////////////////////////////////////////////////

#ifndef DiagMEGA_H
#define DiagMEGA_H

// Diagnostic pins Arduino MEGA, ADCL
#define USEDIAGPIN_0 DDRF |= 0x01;
#define DIAGPIN_0_H PORTF |= 0x01; 
#define DIAGPIN_0_L PORTF &= ~0x01; 
#define DIAGPIN_0_T PINF = 0x01;

#define USEDIAGPIN_1 DDRF |= 0x02;
#define DIAGPIN_1_H PORTF |= 0x02; 
#define DIAGPIN_1_L PORTF &= ~0x02; 
#define DIAGPIN_1_T PINF = 0x02;

#define USEDIAGPIN_2 DDRF |= 0x04; 
#define DIAGPIN_2_H PORTF |= 0x04; 
#define DIAGPIN_2_L PORTF &= ~0x04; 
#define DIAGPIN_2_T PINF = 0x04;

#define USEDIAGPIN_3 DDRF |= 0x08; 
#define DIAGPIN_3_H PORTF |= 0x08; 
#define DIAGPIN_3_L PORTF &= ~0x08; 
#define DIAGPIN_3_T PINF = 0x08;

#define USEDIAGPIN_4 DDRF |= 0x10; 
#define DIAGPIN_4_H PORTF |= 0x10; 
#define DIAGPIN_4_L PORTF &= ~0x10; 
#define DIAGPIN_4_T PINF = 0x10;

#define USEDIAGPIN_5 DDRF |= 0x20; 
#define DIAGPIN_5_H PORTF |= 0x20; 
#define DIAGPIN_5_L PORTF &= ~0x20; 
#define DIAGPIN_5_T PINF = 0x20;

#define USEDIAGPIN_6 DDRF |= 0x40; 
#define DIAGPIN_6_H PORTF |= 0x40; 
#define DIAGPIN_6_L PORTF &= ~0x40; 
#define DIAGPIN_6_T PINF = 0x40;

#define USEDIAGPIN_7 DDRF |= 0x80; 
#define DIAGPIN_7_H PORTF |= 0x80; 
#define DIAGPIN_7_L PORTF &= ~0x80; 
#define DIAGPIN_7_T PINF = 0x80;

#endif
